Description

While digitzing, it´s often necessary to change snapping options. Working with a lot of vektor layers and near situated vertexes and

segments, it is difficult to snap the wished segments or vertexes. To get good results, it ist necessary to activate or deactivate a layer in

the popup window of the snapping options when digitizing with snapping from different layers.

At the moment, it is complicate to change the snapping options by the menue in QGIS.

Is it possible to get the snapping otion window with an icon in the toolbar to change the settings?

History

#1 - 2011-03-04 01:22 AM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

If I understood your suggestion, this is now implemented in trunk. Please reopen if not.

#2 - 2011-03-04 03:09 AM - Gerhard Spieles

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

Hi,

thanks for your work.

I have installed trunk commit:0a89f197 (SVN r15329) (trunk nr. 81).

My suggestion is to optimize catching function.

In the attached examples, i want to digitize a new polygon in the layer "testpolygoncadfunctions".

I catch from the vertexes from the layer "Flurstuecke" 

The problem is, that normaly, I do not see the vertexes of the layer "Flurstuecke" (see attached picture 1). The result of the digitzed polygon is not precise.

I only see the vertexes of the layer "Flurstuecke", when I set the layer "Flurstuecke" in the edit mode. That is not good, because I dont want edit the layer

"Flurstuecke". Therfore, i proposed, to add in the window "catching options" a chekbox to see the vertexes of the layer, you catch from, in my example, I

want to see the vertexes of the layer "Flurstuecke".

#3 - 2011-03-04 06:07 AM - Paolo Cavallini

You can see them if you set the other alyer as editable. If this solves for you, please close this ticket.
#4 - 2011-03-10 01:27 PM - Gerhard Spieles

- Status changed from Feedback to Closed

- Resolution set to fixed

Sorry,

the problem of this ticket is solved since ver 1.7 begins.

It was my mistake to reopen this ticket and so, I close it.

The problem I mentioned in change history is reported in ticket 3291.

Gerhard
